<?php
ini_set("display_errors","1");
ini_set("display_startup_errors","1");
header("Expires: Thu, 01 Jan 1970 00:00:01 GMT"); 
set_magic_quotes_runtime(0);

include("include/dbcommon.php");
include("include/pf_proceso_variables.php");



include('libs/Smarty.class.php');
$smarty = new Smarty();



$conn=db_connect();


if (@$_REQUEST["a"]=="") 
	$strSQL=$_SESSION[$strTableName."_sql"];
else
{
	
$sWhere = "1=0";	
foreach(@$_REQUEST["mdelete"] as $ind)
{
	$sWhere = $sWhere . " or ";
		$sWhere = $sWhere . GetFullFieldName("id_proceso","") . "=" . make_db_value("id_proceso", $_REQUEST["mdelete1"][$ind-1],"","");
        
}
$strSQL = AddWhere($gstrSQL,$sWhere);

}


LogInfo($strSQL);


//	 Pagination:
$numrows=GetRowCount($strSQL);
$mypage=(integer)$_SESSION[$strTableName."_pagenumber"];
if(!$mypage)
	$mypage=1;

//	page size
$PageSize=(integer)$_SESSION[$strTableName."_pagesize"];
if(!$PageSize)
	$PageSize=$gPageSize;

$recno=1;
	
if($numrows)
{
	$maxRecords = $numrows;
	$maxpages=ceil($maxRecords/$PageSize);
	if($mypage > $maxpages)
		$mypage = $maxpages;
	if($mypage<1) 
		$mypage=1;
	$maxrecs=$PageSize;
	$strSQL = AddTop($strSQL, $mypage*$PageSize);
}
$rs=db_query($strSQL,$conn);
db_pageseek($rs,$PageSize,$mypage);

//	hide colunm headers if needed
$recordsonpage=$numrows-($mypage-1)*$PageSize;
if($recordsonpage>$PageSize)
	$recordsonpage=$PageSize;
	if($recordsonpage>=1)
		$smarty->assign("column1show",true);
	else
		$smarty->assign("column1show",false);



//	fill $rowinfo array
	$rowinfo = array();

	$data=db_fetch_array($rs);

	while($data && $recno<=$PageSize)
	{
		$row=array();
		for($col=1;$data && $recno<=$PageSize && $col<=1;$col++)
		{

			$recno++;
			$keylink="";
			$keylink.="&key1=".htmlspecialchars(urlencode($data["id_proceso"]));


//	fecha_inicio - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_inicio", ""),"field=fecha%5Finicio".$keylink,MODE_PRINT);
			$row[$col."fecha_inicio_value"]=$value;

//	id_proceso - 
			$value="";
				$value = ProcessLargeText(GetData($data,"id_proceso", ""),"field=id%5Fproceso".$keylink,MODE_PRINT);
			$row[$col."id_proceso_value"]=$value;

//	id_camara - 
			$value="";
				$value = ProcessLargeText(GetData($data,"id_camara", ""),"field=id%5Fcamara".$keylink,MODE_PRINT);
			$row[$col."id_camara_value"]=$value;

//	fecha_fin - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_fin", ""),"field=fecha%5Ffin".$keylink,MODE_PRINT);
			$row[$col."fecha_fin_value"]=$value;

//	fecha_ultcam - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_ultcam", ""),"field=fecha%5Fultcam".$keylink,MODE_PRINT);
			$row[$col."fecha_ultcam_value"]=$value;

//	estado - 
			$value="";
				$value = ProcessLargeText(GetData($data,"estado", ""),"field=estado".$keylink,MODE_PRINT);
			$row[$col."estado_value"]=$value;

//	frecuencia - 
			$value="";
				$value = ProcessLargeText(GetData($data,"frecuencia", ""),"field=frecuencia".$keylink,MODE_PRINT);
			$row[$col."frecuencia_value"]=$value;

//	creador_inicial - 
			$value="";
				$value = ProcessLargeText(GetData($data,"creador_inicial", ""),"field=creador%5Finicial".$keylink,MODE_PRINT);
			$row[$col."creador_inicial_value"]=$value;

//	fecha_inicio_giro1 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_inicio_giro1", ""),"field=fecha%5Finicio%5Fgiro1".$keylink,MODE_PRINT);
			$row[$col."fecha_inicio_giro1_value"]=$value;

//	fecha_fin_giro1 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_fin_giro1", ""),"field=fecha%5Ffin%5Fgiro1".$keylink,MODE_PRINT);
			$row[$col."fecha_fin_giro1_value"]=$value;

//	fecha_inicio_giro2 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_inicio_giro2", ""),"field=fecha%5Finicio%5Fgiro2".$keylink,MODE_PRINT);
			$row[$col."fecha_inicio_giro2_value"]=$value;

//	fecha_fin_giro2 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_fin_giro2", ""),"field=fecha%5Ffin%5Fgiro2".$keylink,MODE_PRINT);
			$row[$col."fecha_fin_giro2_value"]=$value;

//	fecha_inicio_giro3 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_inicio_giro3", ""),"field=fecha%5Finicio%5Fgiro3".$keylink,MODE_PRINT);
			$row[$col."fecha_inicio_giro3_value"]=$value;

//	fecha_fin_giro3 - 
			$value="";
				$value = ProcessLargeText(GetData($data,"fecha_fin_giro3", ""),"field=fecha%5Ffin%5Fgiro3".$keylink,MODE_PRINT);
			$row[$col."fecha_fin_giro3_value"]=$value;

//	Pallets - 
			$value="";
				$value = ProcessLargeText(GetData($data,"Pallets", ""),"field=Pallets".$keylink,MODE_PRINT);
			$row[$col."Pallets_value"]=$value;

//	Puchos - 
			$value="";
				$value = ProcessLargeText(GetData($data,"Puchos", ""),"field=Puchos".$keylink,MODE_PRINT);
			$row[$col."Puchos_value"]=$value;

//	bins - 
			$value="";
				$value = ProcessLargeText(GetData($data,"bins", ""),"field=bins".$keylink,MODE_PRINT);
			$row[$col."bins_value"]=$value;

//	origen - 
			$value="";
				$value = ProcessLargeText(GetData($data,"origen", ""),"field=origen".$keylink,MODE_PRINT);
			$row[$col."origen_value"]=$value;

//	destino - 
			$value="";
				$value = ProcessLargeText(GetData($data,"destino", ""),"field=destino".$keylink,MODE_PRINT);
			$row[$col."destino_value"]=$value;

//	id_especie - 
			$value="";
				$value = ProcessLargeText(GetData($data,"id_especie", ""),"field=id%5Fespecie".$keylink,MODE_PRINT);
			$row[$col."id_especie_value"]=$value;

//	id_envase - 
			$value="";
				$value = ProcessLargeText(GetData($data,"id_envase", ""),"field=id%5Fenvase".$keylink,MODE_PRINT);
			$row[$col."id_envase_value"]=$value;

//	condicion_inicial - 
			$value="";
				$value = ProcessLargeText(GetData($data,"condicion_inicial", ""),"field=condicion%5Finicial".$keylink,MODE_PRINT);
			$row[$col."condicion_inicial_value"]=$value;

//	num_giros - 
			$value="";
				$value = ProcessLargeText(GetData($data,"num_giros", ""),"field=num%5Fgiros".$keylink,MODE_PRINT);
			$row[$col."num_giros_value"]=$value;

//	creador_final - 
			$value="";
				$value = ProcessLargeText(GetData($data,"creador_final", ""),"field=creador%5Ffinal".$keylink,MODE_PRINT);
			$row[$col."creador_final_value"]=$value;

//	condicion_final - 
			$value="";
				$value = ProcessLargeText(GetData($data,"condicion_final", ""),"field=condicion%5Ffinal".$keylink,MODE_PRINT);
			$row[$col."condicion_final_value"]=$value;
			$row[$col."show"]=true;
			$data=db_fetch_array($rs);
		}
		$rowinfo[]=$row;
	}
	$smarty->assign("rowinfo",$rowinfo);


	

$strSQL=$_SESSION[$strTableName."_sql"];

$templatefile = "pf_proceso_print.htm";
if(function_exists("BeforeShowPrint"))
	BeforeShowPrint($smarty,$templatefile);

$smarty->display($templatefile);

